<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionQuestNPCBase Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dd/d80/a06474.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ExpansionQuestNPCBase Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ExpansionQuestNPCBase:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../dd/d80/a06474.png" usemap="#ExpansionQuestNPCBase_map" alt=""/>
  <map id="ExpansionQuestNPCBase_map" name="ExpansionQuestNPCBase_map">
<area href="../../da/d58/a06598.html" alt="ExpansionQuestNPCBaty" shape="rect" coords="182,112,354,136"/>
<area href="../../d8/dd0/a06486.html" alt="ExpansionQuestNPCBoris" shape="rect" coords="182,168,354,192"/>
<area href="../../dd/ddc/a06490.html" alt="ExpansionQuestNPCCyril" shape="rect" coords="182,224,354,248"/>
<area href="../../d4/d35/a06482.html" alt="ExpansionQuestNPCDenis" shape="rect" coords="182,280,354,304"/>
<area href="../../da/db7/a06494.html" alt="ExpansionQuestNPCElias" shape="rect" coords="182,336,354,360"/>
<area href="../../df/d2f/a06590.html" alt="ExpansionQuestNPCEva" shape="rect" coords="182,392,354,416"/>
<area href="../../d4/da8/a06498.html" alt="ExpansionQuestNPCFrancis" shape="rect" coords="182,448,354,472"/>
<area href="../../de/d3f/a06566.html" alt="ExpansionQuestNPCFrida" shape="rect" coords="182,504,354,528"/>
<area href="../../dd/dc3/a06570.html" alt="ExpansionQuestNPCGabi" shape="rect" coords="182,560,354,584"/>
<area href="../../d5/df5/a06502.html" alt="ExpansionQuestNPCGuo" shape="rect" coords="182,616,354,640"/>
<area href="../../dc/dc0/a06506.html" alt="ExpansionQuestNPCHassan" shape="rect" coords="182,672,354,696"/>
<area href="../../d1/d31/a06574.html" alt="ExpansionQuestNPCHelga" shape="rect" coords="182,728,354,752"/>
<area href="../../d5/d44/a06510.html" alt="ExpansionQuestNPCIndar" shape="rect" coords="182,784,354,808"/>
<area href="../../dd/d05/a06578.html" alt="ExpansionQuestNPCIrena" shape="rect" coords="182,840,354,864"/>
<area href="../../d8/d63/a06514.html" alt="ExpansionQuestNPCJose" shape="rect" coords="182,896,354,920"/>
<area href="../../db/da5/a06582.html" alt="ExpansionQuestNPCJudy" shape="rect" coords="182,952,354,976"/>
<area href="../../dc/d82/a06518.html" alt="ExpansionQuestNPCKaito" shape="rect" coords="182,1008,354,1032"/>
<area href="../../da/d26/a06586.html" alt="ExpansionQuestNPCKeiko" shape="rect" coords="182,1064,354,1088"/>
<area href="../../db/dc5/a06522.html" alt="ExpansionQuestNPCLewis" shape="rect" coords="182,1120,354,1144"/>
<area href="../../d4/d30/a06558.html" alt="ExpansionQuestNPCLinda" shape="rect" coords="182,1176,354,1200"/>
<area href="../../d4/d0a/a06526.html" alt="ExpansionQuestNPCManua" shape="rect" coords="182,1232,354,1256"/>
<area href="../../db/de2/a06562.html" alt="ExpansionQuestNPCMaria" shape="rect" coords="182,1288,354,1312"/>
<area href="../../d5/d55/a06478.html" alt="ExpansionQuestNPCMirek" shape="rect" coords="182,1344,354,1368"/>
<area href="../../dd/d48/a06594.html" alt="ExpansionQuestNPCNaomi" shape="rect" coords="182,1400,354,1424"/>
<area href="../../d9/d07/a06530.html" alt="ExpansionQuestNPCNiki" shape="rect" coords="182,1456,354,1480"/>
<area href="../../d3/d8f/a06534.html" alt="ExpansionQuestNPCOliver" shape="rect" coords="182,1512,354,1536"/>
<area href="../../df/d7e/a06538.html" alt="ExpansionQuestNPCPeter" shape="rect" coords="182,1568,354,1592"/>
<area href="../../d6/d95/a06542.html" alt="ExpansionQuestNPCQuinn" shape="rect" coords="182,1624,354,1648"/>
<area href="../../db/db0/a06546.html" alt="ExpansionQuestNPCRolf" shape="rect" coords="182,1680,354,1704"/>
<area href="../../d1/df9/a06550.html" alt="ExpansionQuestNPCSeth" shape="rect" coords="182,1736,354,1760"/>
<area href="../../de/d9f/a06554.html" alt="ExpansionQuestNPCTaiki" shape="rect" coords="182,1792,354,1816"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a10a4eab433ac7b50b2b99bc83a312086"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d80/a06474.html#a10a4eab433ac7b50b2b99bc83a312086">ExpansionQuestNPCBase</a> ()</td></tr>
<tr class="separator:a10a4eab433ac7b50b2b99bc83a312086"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aac309467b528b42ee87b8082ba25be26"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d80/a06474.html#aac309467b528b42ee87b8082ba25be26">DeferredInit</a> ()</td></tr>
<tr class="separator:aac309467b528b42ee87b8082ba25be26"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7f332fb3e5996c142f916fe313219a86"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d80/a06474.html#a7f332fb3e5996c142f916fe313219a86">SetQuestNPCID</a> (int id)</td></tr>
<tr class="separator:a7f332fb3e5996c142f916fe313219a86"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af79265ed197fef36102f8b3ad76d8f40"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d80/a06474.html#af79265ed197fef36102f8b3ad76d8f40">GetQuestNPCID</a> ()</td></tr>
<tr class="separator:af79265ed197fef36102f8b3ad76d8f40"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a934c7d639150d2caa71518b581ca471a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d80/a06474.html#a934c7d639150d2caa71518b581ca471a">SetQuestNPCData</a> (<a class="el" href="../../d8/d5f/a02216.html#ab1658af0674451c274b084c2f737be7c">ExpansionQuestNPCData</a> questNPCData)</td></tr>
<tr class="separator:a934c7d639150d2caa71518b581ca471a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a641fc8660ab606d9a1fa21d627b4edb9"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d8/d5f/a02216.html#ab1658af0674451c274b084c2f737be7c">ExpansionQuestNPCData</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d80/a06474.html#a641fc8660ab606d9a1fa21d627b4edb9">GetQuestNPCData</a> ()</td></tr>
<tr class="separator:a641fc8660ab606d9a1fa21d627b4edb9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:ab62a8637ee05b8a465493765a9e9e43d"><td class="memItemLeft" align="right" valign="top">protected int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d80/a06474.html#ab62a8637ee05b8a465493765a9e9e43d">m_QuestNPCID</a> = -1</td></tr>
<tr class="separator:ab62a8637ee05b8a465493765a9e9e43d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abf5a661bcc78b6987400a3e0a6d0e835"><td class="memItemLeft" align="right" valign="top">protected ref <a class="el" href="../../d8/d5f/a02216.html#ab1658af0674451c274b084c2f737be7c">ExpansionQuestNPCData</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d80/a06474.html#abf5a661bcc78b6987400a3e0a6d0e835">m_QuestNPCData</a></td></tr>
<tr class="separator:abf5a661bcc78b6987400a3e0a6d0e835"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p ><a class="el" href="../../d8/d85/a02189.html">ExpansionQuestNpc.c</a></p>
<p >DayZ Expansion Mod www.dayzexpansion.com © 2022 DayZ Expansion Mod Team</p>
<p >This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. To view a copy of this license, visit <a href="http://creativecommons.org/licenses/by-nc-nd/4.0/">http://creativecommons.org/licenses/by-nc-nd/4.0/</a>. </p>

<p class="definition">Definition at line <a class="el" href="../../d8/d85/a02189_source.html#l00013">13</a> of file <a class="el" href="../../d8/d85/a02189_source.html">expansionquestnpc.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a10a4eab433ac7b50b2b99bc83a312086" name="a10a4eab433ac7b50b2b99bc83a312086"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a10a4eab433ac7b50b2b99bc83a312086">&#9670;&#160;</a></span>ExpansionQuestNPCBase()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionQuestNPCBase::ExpansionQuestNPCBase </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d85/a02189_source.html#l00021">21</a> of file <a class="el" href="../../d8/d85/a02189_source.html">expansionquestnpc.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="aac309467b528b42ee87b8082ba25be26" name="aac309467b528b42ee87b8082ba25be26"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aac309467b528b42ee87b8082ba25be26">&#9670;&#160;</a></span>DeferredInit()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionQuestNPCBase::DeferredInit </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d85/a02189_source.html#l00032">32</a> of file <a class="el" href="../../d8/d85/a02189_source.html">expansionquestnpc.c</a>.</p>

</div>
</div>
<a id="a641fc8660ab606d9a1fa21d627b4edb9" name="a641fc8660ab606d9a1fa21d627b4edb9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a641fc8660ab606d9a1fa21d627b4edb9">&#9670;&#160;</a></span>GetQuestNPCData()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d8/d5f/a02216.html#ab1658af0674451c274b084c2f737be7c">ExpansionQuestNPCData</a> ExpansionQuestNPCBase::GetQuestNPCData </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d85/a02189_source.html#l00072">72</a> of file <a class="el" href="../../d8/d85/a02189_source.html">expansionquestnpc.c</a>.</p>

</div>
</div>
<a id="af79265ed197fef36102f8b3ad76d8f40" name="af79265ed197fef36102f8b3ad76d8f40"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af79265ed197fef36102f8b3ad76d8f40">&#9670;&#160;</a></span>GetQuestNPCID()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ExpansionQuestNPCBase::GetQuestNPCID </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d85/a02189_source.html#l00056">56</a> of file <a class="el" href="../../d8/d85/a02189_source.html">expansionquestnpc.c</a>.</p>

</div>
</div>
<a id="a934c7d639150d2caa71518b581ca471a" name="a934c7d639150d2caa71518b581ca471a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a934c7d639150d2caa71518b581ca471a">&#9670;&#160;</a></span>SetQuestNPCData()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionQuestNPCBase::SetQuestNPCData </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d5f/a02216.html#ab1658af0674451c274b084c2f737be7c">ExpansionQuestNPCData</a>&#160;</td>
          <td class="paramname"><em>questNPCData</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d85/a02189_source.html#l00064">64</a> of file <a class="el" href="../../d8/d85/a02189_source.html">expansionquestnpc.c</a>.</p>

</div>
</div>
<a id="a7f332fb3e5996c142f916fe313219a86" name="a7f332fb3e5996c142f916fe313219a86"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7f332fb3e5996c142f916fe313219a86">&#9670;&#160;</a></span>SetQuestNPCID()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionQuestNPCBase::SetQuestNPCID </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>id</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d85/a02189_source.html#l00047">47</a> of file <a class="el" href="../../d8/d85/a02189_source.html">expansionquestnpc.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="abf5a661bcc78b6987400a3e0a6d0e835" name="abf5a661bcc78b6987400a3e0a6d0e835"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abf5a661bcc78b6987400a3e0a6d0e835">&#9670;&#160;</a></span>m_QuestNPCData</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected ref <a class="el" href="../../d8/d5f/a02216.html#ab1658af0674451c274b084c2f737be7c">ExpansionQuestNPCData</a> ExpansionQuestNPCBase::m_QuestNPCData</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d85/a02189_source.html#l00016">16</a> of file <a class="el" href="../../d8/d85/a02189_source.html">expansionquestnpc.c</a>.</p>

</div>
</div>
<a id="ab62a8637ee05b8a465493765a9e9e43d" name="ab62a8637ee05b8a465493765a9e9e43d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab62a8637ee05b8a465493765a9e9e43d">&#9670;&#160;</a></span>m_QuestNPCID</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected int ExpansionQuestNPCBase::m_QuestNPCID = -1</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d85/a02189_source.html#l00015">15</a> of file <a class="el" href="../../d8/d85/a02189_source.html">expansionquestnpc.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/Quests/Scripts/4_world/dayzexpansion_quests/entities/manbase/<a class="el" href="../../d8/d85/a02189_source.html">expansionquestnpc.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dd/d80/a06474.html">ExpansionQuestNPCBase</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
